orthanc (1.12.7+dfsg-4build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:09:38 +0200

orthanc (1.12.7+dfsg-4build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:59:14 +0200

orthanc (1.12.7+dfsg-4) unstable; urgency=medium

  * Team upload.
  * d/control: depend on dcmtk >= 3.6.9-5.
    dcmtk 3.6.9-5 resolved #1098944 by making the data directory
    unversioned again, but decoupling the two packages must occur at or
    after dcmtk 3.6.9-5, otherwise the newer orthanc will fail to start
    against the slightly older dcmtk package.

 -- Étienne Mollier <emollier@debian.org>  Wed, 23 Apr 2025 20:29:15 +0200

orthanc (1.12.7+dfsg-3) unstable; urgency=medium

  [ Étienne Mollier ]
  * Fix "d/tests/run-test" that stopped on first error.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 22 Apr 2025 22:32:42 +0200

orthanc (1.12.7+dfsg-2) unstable; urgency=medium

  * Fix "d/tests/run-test" that was not waiting for the orthanc
    service to be in healthy state. Closes: #1103504

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 22 Apr 2025 10:22:53 +0200

orthanc (1.12.7+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 07 Apr 2025 15:48:24 +0200

orthanc (1.12.6+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 24 Feb 2025 12:33:39 +0100

orthanc (1.12.5+dfsg-2) unstable; urgency=medium

  * Fix ftbfs with dcmtk 3.6.9. Closes: #1096017

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 15 Feb 2025 17:08:21 +0100

orthanc (1.12.5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 20 Dec 2024 07:52:12 +0100

orthanc (1.12.4+dfsg-4) unstable; urgency=medium

  * Added dependency of orthanc and liborthancframework1 on dcmtk-data.
  * Removed dependency of orthanc on dcmtk.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 18 Jul 2024 14:43:31 +0200

orthanc (1.12.4+dfsg-3) unstable; urgency=medium

  * Added dependency on libjpeg-dev and libpng-dev in
    liborthancframework-dev. Closes: #1075916

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 08 Jul 2024 17:02:24 +0200

orthanc (1.12.4+dfsg-2) unstable; urgency=medium

  * Added dependency on libssl-dev. Closes: #1075795

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 05 Jul 2024 23:57:08 +0200

orthanc (1.12.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 05 Jun 2024 20:28:11 +0200

orthanc (1.12.3+dfsg-2) unstable; urgency=medium

  * Fix build on armel and armhf.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 29 Mar 2024 21:59:58 +0100

orthanc (1.12.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 29 Mar 2024 17:16:52 +0100

orthanc (1.12.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 05 Jan 2024 13:29:18 +0100

orthanc (1.12.1+dfsg-4) unstable; urgency=medium

  [ Komolehin Israel Timilehin ]
  * Team upload
  * Created debian/tests/control
  * Added autopkgtest test

  [ Andreas Tille ]
  * Drop unused lintian-overrides
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Komolehin Israel Timilehin <komolehinisrael@gmail.com>  Mon, 16 Oct 2023 20:44:48 +0200

orthanc (1.12.1+dfsg-3) unstable; urgency=medium

  * Fix compatibility with big-endian architectures. (Closes: #1041813)

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 16 Aug 2023 09:07:21 +0200

orthanc (1.12.1+dfsg-2) unstable; urgency=high

  * Team upload.
  * skip-Color16Pattern.patch: new: skip test failing on s390x.

 -- Étienne Mollier <emollier@debian.org>  Sun, 23 Jul 2023 18:38:49 +0200

orthanc (1.12.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Jodogne ]
  * Added dependency on "libssl-dev", as civetweb requires the symbolic link
    "/usr/lib/x86_64-linux-gnu/libcrypto.so" to be present to start HTTPS

  [ Andreas Tille ]
  * New upstream version 1.11.2+dfsg
  * Standards-Version: 4.6.2 (routine-update)
  * Drop unneeded Breaks+Replaces

  [ Étienne Mollier ]
  * New upstream version 1.12.1+dfsg:
    - fix CVE-2023-33466.  (Closes: #1040597)
  * d/control: build depends on protobuf-compiler and libprotobuf-dev.
  * d/{orthanc.install,rules}: deploy new plugins: DelayedDeletion, Housekeeper
    and MultitenantDicom.
  * d/{control,orthanc.init}: remove dependency on obsolete package lsb-base.
    It used to provide /lib/lsb/init-functions, which moved to sysvinit-utils
    which is essential, so guaranteed to be available.

 -- Étienne Mollier <emollier@debian.org>  Sat, 08 Jul 2023 14:43:05 +0200

orthanc (1.10.1+dfsg-2) unstable; urgency=medium

  * Fix build against DCMTK 3.6.7. Closes: #1010554

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 05 May 2022 07:35:04 +0200

orthanc (1.10.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 23 Mar 2022 21:05:58 +0100

orthanc (1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Copyright now includes UCLouvain

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 23 Feb 2022 16:13:58 +0100

orthanc (1.9.7+dfsg-6) unstable; urgency=medium

  * Added the "orthanc-restart-trigger" dpkg trigger. Closes: #1003314

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 14 Jan 2022 14:53:09 +0100

orthanc (1.9.7+dfsg-5) unstable; urgency=medium

  * Fix generation of mandatory locale en_US.UTF-8 on Debian

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 18 Dec 2021 11:30:49 +0100

orthanc (1.9.7+dfsg-4) unstable; urgency=medium

  [ Steve Langasek ]
  * fix compatibility with glibc 2.34
    Closes: #1001305

  [ Andreas Tille ]
  * Drop unneeded versioned Depends
  * Fix lintian-override

 -- Andreas Tille <tille@debian.org>  Wed, 08 Dec 2021 13:11:32 +0100

orthanc (1.9.7+dfsg-3) unstable; urgency=medium

  [ Adrian Bunk ]
  * More complete fix to remove forcing C++ 11. Closes: #1000222

  [ Mathieu Malaterre ]
  * Team upload.
  * d/rules: Implement missing dh clean step

 -- Mathieu Malaterre <malat@debian.org>  Tue, 23 Nov 2021 08:57:58 +0100

orthanc (1.9.7+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/patches: Remove c++11 hardcoded value. Closes: #1000222

 -- Mathieu Malaterre <malat@debian.org>  Mon, 22 Nov 2021 15:26:02 +0100

orthanc (1.9.7+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 31 Aug 2021 21:30:25 +0200

orthanc (1.9.6+dfsg-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 21 Jul 2021 12:47:01 +0200

orthanc (1.9.5+dfsg-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 08 Jul 2021 17:11:32 +0200

orthanc (1.9.3+dfsg-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 07 May 2021 15:13:16 +0200

orthanc (1.9.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 22 Apr 2021 15:39:54 +0200

orthanc (1.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Added the static library containing the Orthanc framework

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 25 Feb 2021 20:15:55 +0100

orthanc (1.9.0+dfsg-2) unstable; urgency=medium

  * Patch to fix build on big-endian architecture

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 30 Jan 2021 18:25:13 +0100

orthanc (1.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 29 Jan 2021 15:15:01 +0100

orthanc (1.8.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 18 Dec 2020 17:25:51 +0100

orthanc (1.8.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 07 Dec 2020 18:20:07 +0100

orthanc (1.8.0+dfsg-3) unstable; urgency=medium

  * Rebuild to apply fix of an issue in "libcivetweb1". Closes: #973612

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 12 Nov 2020 08:48:22 +0100

orthanc (1.8.0+dfsg-2) unstable; urgency=medium

  * Fix missing dependency of "liborthancframework-dev" on "libcivetweb-dev"

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 01 Nov 2020 10:16:16 +0100

orthanc (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Release the "liborthancframework-dev" and "liborthancframework1"
    NEW packages that have been accepted into unstable

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 16 Oct 2020 14:00:18 +0200

orthanc (1.7.4+dfsg-2) unstable; urgency=medium

  * Detect the presence of a performance patch in civetweb

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 21 Sep 2020 11:31:16 +0200

orthanc (1.7.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Temporarily remove "liborthancframework-dev" and "liborthancframework1"
    NEW packages from "orthanc-1.7.3+dfsg-3" to release the new version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 18 Sep 2020 15:56:06 +0200

orthanc (1.7.3+dfsg-3) UNRELEASED; urgency=medium

  * Link against the libcivetweb1 package
  * Reintroduction of "liborthancframework-dev" and "liborthancframework1"

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 15 Sep 2020 17:24:39 +0200

orthanc (1.7.3+dfsg-2) unstable; urgency=medium

  * Fix syntax error in systemd unit file. Closes: #969080

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 27 Aug 2020 12:19:26 +0200

orthanc (1.7.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 24 Aug 2020 12:31:56 +0200

orthanc (1.7.2+dfsg-4) unstable; urgency=medium

  * Fix the packaging of the symbolic links to the plugins. Closes: #968273

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 12 Aug 2020 13:43:39 +0200

orthanc (1.7.2+dfsg-3) unstable; urgency=medium

  * Adding tzdata in the dependencies. Closes: #966655
  * Temporarily remove "liborthancframework-dev" and "liborthancframework1"
    NEW packages from "orthanc-1.7.2+dfsg-2" to allow a fix upload.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 10 Aug 2020 13:55:55 +0200

orthanc (1.7.2+dfsg-2) unstable; urgency=medium

  [ Sebastien Jodogne ]
  * Packaging the Orthanc Framework to share code between Orthanc plugins.

  [ Andreas Tille ]
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Move source package lintian overrides to debian/source.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 22 Jul 2020 09:54:05 +0200

orthanc (1.7.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 21 Jul 2020 11:01:40 +0200

orthanc (1.7.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 27 May 2020 14:44:16 +0200

orthanc (1.7.0+dfsg-2) unstable; urgency=medium

  * Fix unit tests on big-endian architectures

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 23 May 2020 12:27:16 +0200

orthanc (1.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Upgrade to Lua 5.3

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 22 May 2020 17:50:33 +0200

orthanc (1.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 21 Apr 2020 15:50:44 +0200

orthanc (1.6.0+dfsg-2) unstable; urgency=medium

  * Added script "/usr/sbin/orthanc_upgrade.sh" to upgrade the database schema,
    as provided by Karsten Hilbert <karsten.hilbert@gmx.net>. Closes: #829380
  * Fix permissions of "/etc/orthanc/", as recommended by
    W. Adam Koszek <wkoszek@segmed.ai>

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 10 Apr 2020 07:47:01 +0200

orthanc (1.6.0+dfsg-1) unstable; urgency=medium

  [ Giovanni Mascellani <gio@debian.org> ]
  * Patch CMake scripts to prevent FTBFS with Boost 1.71
    (part of upstream 1.6.0). Closes: #953884

  [ Sebastien Jodogne ]
  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 18 Mar 2020 16:30:12 +0100

orthanc (1.5.8+dfsg-3) unstable; urgency=medium

  [ Alexandre Mestiashvili <mestia@debian.org> ]
  * Add systemd service, thanks to Andreas Henriksson <andreas@fatal.se>,
    Closes: #950945
  * Create and set ownership for /var/log/orthanc

  [ Sebastien Jodogne ]
  * Remove read permission for "other" users on configuration files and
    storage folders
  * Replace mongoose-3.8 by civetweb-1.11. Closes: #948486

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 18 Feb 2020 10:41:27 +0100

orthanc (1.5.8+dfsg-2) unstable; urgency=medium

  * Disabling unit test "ImageProcessing.Convolution" on i386

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 17 Oct 2019 09:40:16 +0200

orthanc (1.5.8+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 16 Oct 2019 15:54:37 +0200

orthanc (1.5.7+dfsg-2) unstable; urgency=medium

  * Missing "Should-Start" dependency on MySQL for orthanc-mysql package

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 07 Sep 2019 11:29:48 +0200

orthanc (1.5.7+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 31 Jul 2019 13:38:24 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog liborthancframework-dev`.
